Extra.css

.support-text{
  color: var(--md-primary-fg-color);
}

.user-highlight{
  opacity: 0.8; 
  color: var(--md-primary-fg-color--light);
}


.donate-btn {
  margin-top: 30px;
  align-items: center;
  gap: 8px;
  font-size: 16px;
  font-weight: bold;
  cursor: pointer;
  border: none;
  border-radius: 8px;
  /* background-color: var(--md-primary-fg-color); */
  color: white;
  transition: background 0.3s, transform 0.2s;
  position: relative;
  z-index: 2;
  text-align: center;
}

.donate-btn:hover {
  /* background-color: var(--md-primary-fg-color--dark); */
  transform: translateY(-2px);
  animation: 2s;
}

/* 按鈕內的主愛心 SVG */
.base-heart {
  opacity: 0.3;
  width: 35px;
  height: 30px;
  fill: var(--md-primary-fg-color--light);
}

/* 漂浮愛心的樣式 */
.floating-svg {
  position: absolute;
  width: 40px;
  height: 40px;
  fill: var(--md-primary-fg-color--light);
  pointer-events: none;
  z-index: 100;
  opacity: 0;
  /* 動畫:向上移動並放大消失 */
  animation: floatUp 5s ease-out forwards;
}

@keyframes floatUp {
  0% {
    transform: translate(-50%, 0) scale(0.6);
    opacity: 0;
  }
  20% {
    opacity: 0.8;
  }
  100% {
    transform: translate(calc(-50% + var(--random-x)), -80px) scale(2);
    opacity: 0;
  }
}